<?php

namespace App\ViewModels\Extorno\ExtornoDetailsViewModel;

use App\Utils\Entity;

class ExtornoDetailsViewModel extends Entity {
	protected $id;
	protected $id_comanda;
	protected $id_unidade;
	protected $nome_unidade;
	protected $id_tipo_extorno;
	protected $descricao_tipo_extorno;
	protected $valor;
	protected $criado_por;
	protected $nome;
	protected $data_criacao;
	protected $hora_criacao;
	protected $observacao;

	
	public static function builder(): ExtornoDetailsViewModelBuilder {

		$extorno_details_view_model_builder = new ExtornoDetailsViewModelBuilder();
		return $extorno_details_view_model_builder;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdComanda() {

		return $this->id_comanda;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTipoExtorno() {

		return $this->id_tipo_extorno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $id_comanda
	 */
	public function setIdComanda($id_comanda) {

		$this->id_comanda = $id_comanda;

	}

	/**
	 *
	 * @param mixed $id_tipo_extorno
	 */
	public function setIdTipoExtorno($id_tipo_extorno) {

		$this->id_tipo_extorno = $id_tipo_extorno;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNomeUnidade() {

		return $this->nome_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDescricaoTipoExtorno() {

		return $this->descricao_tipo_extorno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNome() {

		return $this->nome;

	}

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade) {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @param mixed $nome_unidade
	 */
	public function setNomeUnidade($nome_unidade) {

		$this->nome_unidade = $nome_unidade;

	}

	/**
	 *
	 * @param mixed $descricao_tipo_extorno
	 */
	public function setDescricaoTipoExtorno($descricao_tipo_extorno) {

		$this->descricao_tipo_extorno = $descricao_tipo_extorno;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome) {

		$this->nome = $nome;

	}

}

